Get multiple memberships

Returns compact goal_membership, project_membership, portfolio_membership, custom_type_membership, or custom_field_membership records. The possible types for parent in this request are goal, project, portfolio, custom_type, or custom_field. An additional member (user GID or team GID) can be passed in to filter to a specific membership.

Alternatively, when parent is absent, you can use the member and resource_subtype parameters together to fetch all memberships of a specific type for a given member. For example, passing member as a team GID and resource_subtype as project_membership will return all project memberships for that team.

Query Params
string

Globally unique identifier for goal, project, portfolio, custom_type, or custom_field. This parameter is optional when resource_subtype is provided along with member of type team.

string

Globally unique identifier for team or user. When used with resource_subtype and without parent, member must be of type team. For user-type memberships parent parameter is required to disambiguate the workspace from which memberships should be retrieved.

string
enum

The type of membership to return. Required when parent is absent. Currently supported value is project_membership (when member is a team GID, returns all project memberships for that team).

Allowed:
integer
1 to 100

Results per page. The number of objects to return per page. The value must be between 1 and 100.

string

Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.

opt_fields
array of strings

This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

opt_fields
boolean

Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json